
Meanings of the Keywords for the BBS-Convertion:

DESCRIPTION (Mailer, RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: AREATAG, AREAMIXED or AREACOMMENT

    Example  : DESCRIPTION AREAMIXED

    Function : Inserts the name of the area or the description in the
               name field of the BBS-Config .
               When using AREAMIXED, one string will be build:

                        AREATAG -> AREACOMMENT
                  e.g.  FASTECHO.GER -> Fido: About FastEcho


KEEPAREAS   (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : If uncommented, existing areas in the BBS-Config will
               be kept. (if the board number is not yet used by FE)

               Else FeConv creates a complete BBS-Config file
               (MESSAGE.RA, BOARDS.BBS, and so on...), killing existing
               areas.

NOBADMAIL   (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : FE's BadMailBoard will not be imported to the BBS-Config.

NODUPEMAIL  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : FE's DupeMailBoard will not be imported to the BBS-Config.

EXCLUDE_GROUPS  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Groups

    Example  : EXCLUDE_GROUPS  AFG

    Function : Areas, which belong to the mentioned groups, will not
               be imported to the BBS-Config.

USE_FE_RSEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : Takes the value of "Security Read" of FastEcho's Setup.
               Contains this field in the areaconfig the value 0,
               the default will be used instead.
               On areas, which are defined with ECBOARD, this keyword
               has no function. The value of ECREADSEC will be used.

USE_FE_WSEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : Takes the value of "Security Write" of FastEcho's Setup.
               Contains this field in the areaconfig the value 0,
               the default will be used instead.
               On areas, which are defined with ECBOARD, this keyword
               has no function. The value of ECWRITESEC will be used.

USE_FE_DAYS (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: None

    Function : Takes the value of "Purging #Days" of FastEcho's Setup.
               Contains this field in the areaconfig the value 0,
               the default will be used instead.
               On areas, which are defined with ECBOARD, this keyword
               has no function. The value of ECKILLDAYS will be used.

USE_FE_COUNT  (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: None

    Function : Takes the value of "Purging #Msgs" of FastEcho's Setup.
               Contains this field in the areaconfig the value 0,
               the default will be used instead.
               On areas, which are defined with ECBOARD, this keyword
               has no function. The value of ECKILLCOUNT will be used.

USE_FE_RECV (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: None

    Function : Takes the value of "Purging #Recv" of FastEcho's Setup.
               Contains this field in the areaconfig the value 0,
               the default will be used instead.
               On areas, which are defined with ECBOARD, this keyword
               has no function. The value of ECKILLRECV will be used.

QWKNAME         (ProBoard, SuperBBS)

    Parameter: AREATAG or AREACOMMENT

    Example  : DESCRIPTION AREATAG

    Function : Inserts the Areatag or the areadescription in the QWKName
               field in the BBS-Config.

               I suggest AREATAG, because the field QWKName is not very long,
               so AREATAG mustn't not be very clear.

ECHONAME        (ProBoard)

    Parameter: AREATAG or AREACOMMENT

    Example  : DESCRIPTION AREATAG

    Function : Inserts the Areatag or the areadescription in the QWKName
               field in the BBS-Config.

               I suggest AREATAG, because the field QWKName is not very long,
               so AREATAG must not be very clear.

GENREADSEC  (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: Read-Security and Read-Flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Example : Ra/Qbbs/Sbbs: GENREADSEC 100 ---X---- -------- -------X --------
              Ra 2.00     : GENREADSEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
               ProBoard/WME: GENREADSEC 100 ---X-------------------X--------

               'X'= Flag set
               'O'= Flag unset (RA >2.00g only)

    Function : Defines general read security for all groups, which are not
               specially defined using GRREADSEC or ECREADSEC.

GENWRITESEC (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: write security and write flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Example: Ra/Qbbs/Sbbs: GENWRITESEC 100 ---X---- -------- -------X --------
              Ra 2.00     : GENWRITESEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
              ProBoard/WME: GENWRITESEC 100 ---X-------------------X--------

               'X'= Flag set
               'O'= Flag unset (RA >2.00g only!)

    Function : Defines general write security for all groups, which are not
               specially defined using GRWRITESEC or ECWRITESEC.


GENSYSOPSEC (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: sysop security and sysop flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Example: Ra/Qbbs/Sbbs: GENSYSOPSEC 100 ---X---- -------- -------X --------
              Ra 2.00     : GENSYSOPSEC 100 ---XO--O -------O -----O-- --------

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
              ProBoard/WME: GENSYSOPSEC 100 ---X-------------------X--------

               'X'= Flag set
               'O'= Flag unset (nur bei RA >2.00g)

    Function : Defines general sysop security for all groups, which are not
               specially defined using GRSYSOPSEC or ECSYSOPSEC.


GENTEMPLSEC  (QuickBBS only)

    Parameter: template security and template flags

                                            A-Flags  B-Flags  C-Flags  D-Flags
                                            12345678 12345678 12345678 12345678
    Example  : QuickBBS    : GENTEMPLSEC 100 ---X---- -------- -------X --------

               'X'= Flag set

    Function : Defines general template security for all groups, which are not
               specially defined using GRTEMPLSEC or ECTEMPLSEC.

GENGOTOSEC   (WME only)

    Parameter: goto security and goto flags (Don't ask me what this is ... ;-) )

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
    Example  : WME         : GENGOTOSEC 100  ---X-------------------X--------

               'X'= Flag set

    Function : Defines general goto security for all groups, which are not
               specially defined using GRGOTOSEC or ECGOTOSEC.

GENAREASEC   (WME only)

    Parameter: show security and show flags

                                            ABCDEFGHIJKLMNOPQRSTUVWXYZ123456
    Example  : WME         : GENAREASEC 100  ---X-------------------X--------

               'X'= Flag set

    Function : Defines general show security for all groups, which are not
               specially defined using GRSHOWSEC or ECSHOWSEC.

GENATTRIB       (RA, SuperBBS)

    Parameter: RA: bitfield, 0-255 possible, single settings need to be
                   summed up, see FECONV.DMO.

               SuperBBS: 0 - 3, alias handling

    Example  : RA -> GENATTRIB 7
                     for Echo_Info, combined access and file attach
                     (senseless, i know ;-) ).

               SuperBBS -> GENATTRIB 2
                     for "question about alias"

    Function : RA -> accurate definition of areas

               Sbbs -> setting of alias parameters


GENEXTATTRIB (Remote_Access 2.00 only)

    Parameter: 1 = area is in ALL groups

    Example  : GENEXTATTRIB 1

    Function : see Ra.Doc

GENACCESSTYPE  (RA, ProBoard, SuperBBS, WME)
GENTYPE        (QuickBBS)

    Parameter: status of the areas (bothe, privat, public, R/O, ...)

    Example  : GENACCESSTYPE 2
               GENTYPE       1

    Function : definition of the boards towards the status of the mail.


GENKILLRECV (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: number of days to keep received mails in this area.

    Example  : GENKILLRECV  14

    Function : this setting is for the cleaning of the msgbase. Can be
               neglected if maintenance is done with FEUTIL.

GENKILLDAYS (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: number of days to keep mails in this area.

    Example  : GENKILLDAYS  14

    Function : this setting is for the cleaning of the msgbase. Can be
               neglected if maintenance is done with FEUTIL.

GENKILLCOUNT  (RA, ProBoard, SuperBBS, QuickBBS)

    Parameter: number of days to keep mails in this area.

    Example  : GENKILLCOUNT 100

    Function : this setting is for the cleaning of the msgbase. Can be
               neglected if maintenance is done with FEUTIL.

GENUSE_FE_ORIGIN (RA, ProBoard, SuperBBS, QuickBBS, WME)

    Parameter: None

    Function : If set, the origins in FE will be taken for each area.
               Certain BBS programs only use the hints to the origins so
               that the origins in the BBS setup needs to be defined in the
               same order as in FE.
               Other BBS soft defines the origin directly in each area so here
               we can forget to define it in the BBS setup
               (there is mostly only a default origin available, see RA)

GENAGE

    Parameter: the age from which on users have acess to the areas,
               see your BBS-Doc.

    Example  : GENAGE 18

GENALIAS       (ProBoard, QuickBBS, WME)

    Parameter: alias allowed or not.


    Example  : GENALIAS 1

    Function : sets the behaviour towards the aliases in echomailareas.

GENGROUP       (QuickBBS)

    Parameter: as in QCONFIG this is a string with the numbers 1-8

    Example  : 1378

    Function : see QuickBBS doc. I don't know because I am not using QBBS.

GENGROUP1
GENGROUP2
GENGROUP3
GENGROUP4      (RA only)

    Parameter: number of the fitting msg group.
               Always ALL 4 keywords have to be set!

    Example  : GENGROUP1  2
               GENGROUP2  4
               GENGROUP3  10
               GENGROUP4  0

    Function : sets the groups, to wchich the msg areas belong.
               see GENEXTATTRIB, too.


GENUSEAKA      (SuperBBS only)

    Parameter: the AKA to be used.

    Example  : GENUSEAKA 0

    Function : echomailareas nedd to have an AKA under which is to be written.
               At other BBS systems, the AKA is automatically taken from FE
               but I need to implement this for SuperBBS
               ... next release I think.

GENBEHAVE      (SuperBBS only)

    Parameter: value between 0 and 255

    Example  : GENBEHAVE 8

    Function : exact definition of the msg areas.

GENREPLYSTATUS (SuperBBS only)

    Parameter:  status of anwers

    Example  :  GENREPLYSTATUS 2

    Function : defines whether answers are allowed as echo- or netmail or
               no answers allowed.


GENCOMBINED    (QuickBBS only)

    Parameter: access via "combined areas" allowed.

    Example  : GENCOMBINED 0

    Function : see parameter ;-)

GENDELETES     (QuickBBS only)

    Parameter: deletion allowed ?

    Example  : GENDELETES 0

    Function : defines whether mails may be deleted in this area or not.

GENMOD   (WME only)

    Parameter: name of moderator

    Example  : GENMOD Volker Imre

    Function : no idea, see WME.DOC ;-)

GENPASSWORD    (WME only)

    Parameter: a password ;-)

    Example  : GENPASSWORD password

    Function : see GENMOD, if I only had more time .... ;-|

----------------------------------------------------------------------------

The meanings of the GRxxxx keywords is the same as the one of the GENxxx
keywords as defined above.

As parameters are only allowed groups w/o (!) spaces directly behind the
keyword.
The group letters mean the groups as set in FastEcho.

The keywords can be used several times with different groups.

Example:

GRAGE AFGHJ  45
GRAGE ZU     18

-> in the areas of the group AFGHJ only users older than 45 are allowed to

   read.

-> in the areas of the group ZU only users older than 18 are allowed to

   read.

GRREADSEC  HGI  25  -------X -------- -------- --------
GRREADSEC  AS  100  -X------ -------- -------- --------

-> the read security for areas of the groups HGI is at 25 and the flag A8

   needs to bet.

-> the read security for areas of the groups AS is at 100 and the flag A2

   needs to bet.

--------------------------------------------------------------------------

The meanings of the ECxxxx keywords is the same as the one of the GENxxx
keywords as defined above.

Each section is starts with ECBOARD <arename> and ALL keyword must be given
else the whole entry in undefined!

Example:
ECBOARD FASTECHO.GER

-> all following statements are valid for FASTECHO.GER

   the name bust be written exactly as in FASTECHO.CFG.



(c) 1993 by Volker Imre
    Translation into english: April 1994 Ralph Biedermann
    (great program Volker!)



